# GLOBAL mt.tick
scoreboard players add @s mt.tick 1
scoreboard players set @s[scores={mt.tick=20..}] mt.tick 0 
scoreboard players operation mt.global mtvisfix *= -1 mtvisfix

# TRIGGER COMMANDS
scoreboard players enable @s mt_stats
execute if entity @s[scores={mt_stats=1..}] run function mt:stats

execute if entity @s[scores={mt.combat_timer=1..}] run function mt:combat_check
scoreboard players set @s[scores={mt.combat_log=1..}] mt.combat_log 0 
scoreboard players set @s[scores={mt.death=1..}] mt.death 0 
# TREASURE PARTICLES
execute if entity @s[scores={mt.selector=1..}] run function mt:treasure/msg

# TREASURE SYSTEM
execute at @s[scores={mt.break_barrel=1..}] anchored eyes run function mt:treasure/barrel/start_ray

execute if entity @s[scores={mt.break_stone=1..}] run function mt:mined
execute if entity @s[scores={mt.break_deepslate=1..}] run function mt:mined
execute if entity @s[scores={mt.break_diorite=1..}] run function mt:mined
execute if entity @s[scores={mt.break_andesite=1..}] run function mt:mined
execute if entity @s[scores={mt.break_granite=1..}] run function mt:mined
execute if entity @s[scores={mt.break_iron_ore=1..}] run function mt:mined
execute if entity @s[scores={mt.break_diamond_ore=1..}] run function mt:mined
execute if entity @s[scores={mt.break_coal_ore=1..}] run function mt:mined
execute if entity @s[scores={mt.break_redstone_ore=1..}] run function mt:mined
execute if entity @s[scores={mt.break_emerald_ore=1..}] run function mt:mined
execute if entity @s[scores={mt.break_lapis_ore=1..}] run function mt:mined
execute if entity @s[scores={mt.break_gold_ore=1..}] run function mt:mined
execute if entity @s[scores={mt.break_copper_ore=1..}] run function mt:mined
execute if entity @s[scores={mt.break_amethyst=1..}] run function mt:mined
execute if entity @s[scores={mt.break_calcite=1..}] run function mt:mined
execute if entity @s[scores={mt.break_d_coal_ore=1..}] run function mt:mined
execute if entity @s[scores={mt.break_d_iron_ore=1..}] run function mt:mined
execute if entity @s[scores={mt.break_d_gold_ore=1..}] run function mt:mined
execute if entity @s[scores={mt.break_d_copper_ore=1..}] run function mt:mined
execute if entity @s[scores={mt.break_d_redstone_ore=1..}] run function mt:mined
execute if entity @s[scores={mt.break_d_lapis_ore=1..}] run function mt:mined
execute if entity @s[scores={mt.break_d_emerald_ore=1..}] run function mt:mined
execute if entity @s[scores={mt.break_d_diamond_ore=1..}] run function mt:mined
execute if entity @s[scores={mt.break_tuff=1..}] run function mt:mined
execute if entity @s[scores={mt.break_dripstone=1..}] run function mt:mined
execute if entity @s[scores={mt.break_sandstone=1..}] run function mt:mined
execute if entity @s[scores={mt.break_terracotta=1..}] run function mt:mined
execute if entity @s[scores={mt.break_brown_terracotta=1..}] run function mt:mined
execute if entity @s[scores={mt.break_light_gray_terracotta=1..}] run function mt:mined
execute if entity @s[scores={mt.break_orange_terracotta=1..}] run function mt:mined
execute if entity @s[scores={mt.break_red_terracotta=1..}] run function mt:mined
execute if entity @s[scores={mt.break_white_terracotta=1..}] run function mt:mined
execute if entity @s[scores={mt.break_yellow_terracotta=1..}] run function mt:mined
execute if entity @s[scores={mt.break_blackstone=1..}] run function mt:mined
execute if entity @s[scores={mt.break_netherrack=1..}] run function mt:mined
execute if entity @s[scores={mt.break_magma_block=1..}] run function mt:mined
execute if entity @s[scores={mt.break_basalt=1..}] run function mt:mined
execute if entity @s[scores={mt.break_smooth_basalt=1..}] run function mt:mined
execute if entity @s[scores={mt.break_nether_gold_ore=1..}] run function mt:mined
execute if entity @s[scores={mt.break_nether_quartz_ore=1..}] run function mt:mined
execute if entity @s[scores={mt.break_end_stone=1..}] run function mt:mined

# ARMOR DETECTION
function mt:items/armor

# WEAPON DETECTION
function mt:items/weapons

# ENTITY HIT 
execute if entity @s[scores={mt.revoke=1..}] run function mt:entity_hit_functions/revoke

function mt:items/horns/revoker
scoreboard players remove @s[scores={mt.htimer=1..}] mt.htimer 1
scoreboard players remove @s[scores={mt.ray_line=2..}] mt.ray_line 2

# Runes
execute if entity @s[scores={mt.end_rune=1..}] run function mt:runes/end/timer
execute if entity @s[scores={mt.ice_rune=1..}] run function mt:runes/ice/timer
execute if entity @s[scores={mt.assa_rune=1..}] run function mt:runes/assassin/timer
execute if entity @s[scores={mt.jungle_rune=1..}] run function mt:runes/jungle/timer
execute if entity @s[scores={mt.black_rune=1..}] run function mt:runes/black/timer